// file: $isip/class/sp/FrontEnd/febs_01.cc
// version: $Id: febs_01.cc 8420 2002-07-18 14:57:35Z gao $
//

// isip include files
//
#include "FrontEndBase.h"


// method: debug
//
// arguments:
//  const unichar* msg: (input) message to print
//
// return: a boolean value indicating status
//
boolean FrontEndBase::debug(const unichar* msg_a) const {

  // declare local variables
  //
  String value;
  String output;
 
  // output an information message
  //
  output.debugStr(name(), msg_a, L":");
  Console::put(output);
  Console::increaseIndention();
  
  // display the verbosity
  //
  value.assign(verbosity_d);
  output.debugStr(name(), msg_a, L"verbosity", value);
  Console::put(output);

  // display debug level
  //
  value.assign(debug_level_d);
  output.debugStr(name(), msg_a, L"debug_level_d", value);
  Console::put(output);

  // decrease indention
  //
  Console::decreaseIndention();
  
  // exit gracefully
  //
  return true;
}

